/**
 * Melscrivi Module
 * 
 *  @author    Webgarh <sudhir@cwebconsultants.com>
 *  @copyright Webgarh
 *  @license   http://cwebconsultants.com
 */

// Display Guidelines when selection
function type_guidelines(str){
	var base_url=$("#base_url").val();
	var user=$("#user").val();
	if(str=='Copy'){
		jQuery(".translation_common_info").css('display','none');
			jQuery(".guideline").html('<input type="radio" name="c_guideline" value="block1" onclick="guideline_detail(this.value)">Descrizione breve + estesa <input type="radio" name="c_guideline" value="block2" onclick="guideline_detail(this.value)">Descrizione unica');	
	}else if(str=='Translation'){
		jQuery(".block_common_info").css('display','none');
		jQuery(".block_info").css('display','none');
		jQuery(".guideline").html('');
		$(".block_common_info input[type=text], .block_common_info select").val("");
		$(".block_info input[type=text]").val("");
		jQuery(".translation_common_info").css('display','block');	
	}else{
		jQuery(".block_common_info").css('display','none');
		jQuery(".block_info").css('display','none');
		jQuery(".guideline").html('');
		jQuery(".translation_common_info").css('display','none');
	}	
}

// Dipslay Guideline details
function guideline_detail(str){
	jQuery(".block_common_info").css('display','block');
	jQuery(".block_info").css('display','none');
	if(str=='block1'){
		jQuery(".block1_info").css('display','block');	
	}
	if(str=='block2'){
		jQuery(".block2_info").css('display','block');	
	}
}
// Validate Email
function validateEmail($email) {
  var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
  return emailReg.test( $email );
}

// Delete Project Function
function deleteProject(project_id){
	var base_url=$("#base_url").val();
	if (confirm('Are you sure you want to delete this?')) {
		$.ajax({
			url: base_url+'modules/melscrivimodule/ajax-call.php',
			type: 'post',
			data: 'project_id='+project_id+'&type=delete',
			success: function(data) {
				if(data=='deleted'){
					$(".delete_project").html('<span class="delete_success">Project has been deleted successfully.</span>');
				}else{
					$(".delete_project").html('<span class="delete_fail">Project has not been deleted successfully.Please try again.</span>');
				}
				setTimeout(function(){ window.location.reload(); }, 1000);
			}
		});
	}	 
}	



$(function() {
	var check_active=$(".menus-tabs-bar li").hasClass('active');
	if(check_active==true){
        $(".form-container").css({'background':'inherit','background-color':'#fff','height':'auto'});
	}
    $(".menus-tabs-bar li").on('click',function(){
		$(".form-container").css({'background':'inherit','background-color':'#fff','height':'auto'});
	});
	$(".Createe-project a").click(function(){
		//$("#create-project").toggle(500);
		//$(".close_box_create").toggle(500);
	});
	$(".edit-project").click(function(){
		$("#edit-project").toggle(500);
	});	
	$(".close_box_create").click(function(){
		$("#create-project").toggle(500);
		$(".close_box_create").css('display','none');
	});
	
	$('.login-form input[type="text"]').on('focus', function() {
    	$(".login_email_error").html('');
    });
	
	$('.login-form #password').on('focus', function() {
    	$(".login_password_error").html('');
    });	
    
    $('.login-form').on('submit', function(e) {
		var email=$("#login_email").val();
    	var password=$("#login_password").val();
		if( !validateEmail(email) || email=='') { 
			e.preventDefault();
			$(".login_email_error").html('Please Enter Correct Email Address');
		}
		else if(password==''){
			e.preventDefault();
			$(".login_password_error").html('Please Enter Password');	
		}
		else{
			$(".login_email_error").html('');	
			$(".login_password_error").html('');
		}	
    	
    });
	
	$('.registration input[type="text"]').on('focus', function() {
    	$(".email_error").html('');
    });
	$('.registration #password').on('focus', function() {
    	$(".password_error").html('');
    });
	$('.registration #c_password').on('focus', function() {
    	$(".confirm_pass_error").html('');
    });
    
    $('.registration').on('submit', function(e) {
		var email=$("#email_reg").val();
    	var password=$("#password").val();
		var confirm_password=$("#c_password").val();
		if( !validateEmail(email) || email=='') { 
			e.preventDefault();
			$(".email_error").html('Please Enter Correct Email Address');
		}
		else if(password==''){
			e.preventDefault();
			$(".password_error").html('Please Enter Password');	
		}
		else if (password != confirm_password){
			e.preventDefault();
			$(".confirm_pass_error").html('Passwords do not match.');
		}
		else{
			$(".email_error").html('');	
			$(".password_error").html('');
			$(".confirm_pass_error").html('');
		}	
    	
    });
	
	
	
	// validate Create Project Form
	$("form[name='createProject']").validate({ 
		rules: {
			project_name: "required",
			project_type: "required",
			t_language_from: {
				required: {
					depends: function(element) {
						return ($('#project_type').val() == 'Translation');
					}
				}
			},
			t_language_to: {
				required: {
					depends: function(element) {
						return ($('#project_type').val() == 'Translation');
					}
				}
			},
			t_delivery_date: {
				required: {
					depends: function(element) {
						return ($('#project_type').val() == 'Translation');
					}
				}
			},
			t_brief_note: {
				required: {
					depends: function(element) {
						return ($('#project_type').val() == 'Translation');
					}
				}
			},
			c_guideline: {
				required: {
					depends: function(element) {
						return ($('#project_type').val() == 'Copy');
					}
				}
			},
			c_style: {
				required: {
					depends: function(element) {
						return ($('#project_type').val() == 'Copy');
					}
				}
			},
			c_category: {
				required: {
					depends: function(element) {
						return ($('#project_type').val() == 'Copy');
					}
				}
			},
			c_brief_note: {
				required: {
					depends: function(element) {
						return ($('#project_type').val() == 'Copy');
					}
				}
			},
		}, 
		messages: { 
			project_name: 'Please enter project name',
			project_type: 'Please choose project type',
			t_language_from: 'Please choose language from',
			t_language_to: 'Please choose language to',
			t_delivery_date: 'Please Choose date',
			t_brief_note: 'Please Enter brief note',
			c_guideline: 'Choose Guideline',
			c_style: 'Enter Style',
			c_category: 'Choose Category',
			c_brief_note: 'Enter Brief note',
			c_link: 'Enter Link',
			c_short_description: 'Enter Short Description',
			c_long_description: 'Enter Long Description',
		},
		submitHandler: function(form) {
			form.submit();
		}
	});
	
	// Validate Edit Project Form
	$("form[name='editProject']").validate({ 
		rules: {
			project_name: "required",
			project_type: "required",
			t_language_from: {
				required: {
					depends: function(element) {
						return ($('#project_type_edit').val() == 'Translation');
					}
				}
			},
			t_language_to: {
				required: {
					depends: function(element) {
						return ($('#project_type_edit').val() == 'Translation');
					}
				}
			},
			t_delivery_date: {
				required: {
					depends: function(element) {
						return ($('#project_type_edit').val() == 'Translation');
					}
				}
			},
			t_brief_note: {
				required: {
					depends: function(element) {
						return ($('#project_type_edit').val() == 'Translation');
					}
				}
			},
			c_guideline: {
				required: {
					depends: function(element) {
						return ($('#project_type_edit').val() == 'Copy');
					}
				}
			},
			c_style: {
				required: {
					depends: function(element) {
						return ($('#project_type_edit').val() == 'Copy');
					}
				}
			},
			c_category: {
				required: {
					depends: function(element) {
						return ($('#project_type_edit').val() == 'Copy');
					}
				}
			},
			c_brief_note: {
				required: {
					depends: function(element) {
						return ($('#project_type_edit').val() == 'Copy');
					}
				}
			},
			c_link: {
				required: {
					depends: function(element) {
						return ($('#project_type_edit').val() == 'Copy');
					}
				}
			},
			c_short_description: {
				required: {
					depends: function(element) {
						return ($('#project_type_edit').val() == 'Copy');
					}
				}
			},
			c_long_description: {
				required: {
					depends: function(element) {
						return ($('#project_type_edit').val() == 'Copy' && $('.c_guideline').val() == 'block2');
					}
				}
			}
		}, 
		messages: { 
			project_name: 'Please enter project name',
			project_type: 'Please choose project type',
			t_language_from: 'Please choose language from',
			t_language_to: 'Please choose language to',
			t_delivery_date: 'Please Choose date',
			t_brief_note: 'Please Enter brief note',
			c_guideline: 'Choose Guideline',
			c_style: 'Enter Style',
			c_category: 'Choose Category',
			c_brief_note: 'Enter Brief note',
			c_link: 'Enter Link',
			c_short_description: 'Enter Short Description',
			c_long_description: 'Enter Long Description',
		},
		submitHandler: function(form) {
			form.submit();
		}
	});
	
	// Define Products List Table
	var table = $('#example1').DataTable({
      'columnDefs': [{
         'targets': 0,
         'searchable': true,
         'orderable': false,
         'className': 'dt-body-center'
      }],
      'order': [[1, 'asc']]
	});
	
	var table1 = $('#example2').DataTable({
      'columnDefs': [{
         'targets': 0,
         'searchable': true,
         'orderable': false,
         'className': 'dt-body-center'
      }],
      'order': [[0, 'asc']]
	});
	
	$('#example-select-all').on('click', function(){
		// Check/uncheck all checkboxes in the table
		var rows = table.rows({ 'search': 'applied' }).nodes();
		$('input[type="checkbox"]', rows).prop('checked', this.checked);
	});
	
	// Category Selection Dropdown
	$("#e1").select2({
		placeholder: "--Scegli Categoria--"
	});
	
	$("#checkbox").click(function(){
		if($("#checkbox").is(':checked') ){
			$("#e1 > option").prop("selected","selected");
			$("#e1").trigger("change");
		}else{
			$("#e1 > option").removeAttr("selected");
			$("#e1").trigger("change");
		}
	});
	
	
	$("#button_get_products").click(function(){
		var base_url=$("#base_url").val();
		var categories=$("#e1").val();
		if(categories!=null && categories!=''){
			$.ajax({
				url: base_url+'modules/melscrivimodule/ajax-call.php',
				type: 'post',
				data: 'category_ids='+categories+'&type=get_products',
				success: function(data) {

					$("#products_list").html(data);
					$('#example1').DataTable({
						'columnDefs': [{
							'targets': 0,
							'searchable': true,
							'orderable': false,
							'className': 'dt-body-center'
						}],
						'order': [[1, 'asc']]
					});
				}
			});
		}
	});

	/* Popup Products List Model JS */
	var modal = document.getElementById('myModal');
	$(".close").click(function() {
		$("#myModal").css("display","none");
	});
	window.onclick = function(event) {
		if (event.target == modal) {
			modal.style.display = "none";
		}
	}
	
    var modalReview = document.getElementById('myModalReview');
    $(".close").click(function() {
        $("#myModalReview").css("display","none");
    });
    window.onclick = function(event) {
        if (event.target == modal) {
            modal.style.display = "none";
        }
    }
	
	var modalOrder = document.getElementById('myModalOrder');
	$(".close").click(function() {
		$("#myModalOrder").css("display","none");
	});
	window.onclick = function(event) {
		if (event.target == modalOrder) {
			modalOrder.style.display = "none";
		}
	}
	
	$(".select_all_product_id").on('click',function(){
        if($(".select_all_product_id").is(':checked') ){
			$(".product_id_review").prop("checked","checked");
        }else{
            $(".product_id_review").removeAttr("checked");
        }	
	});
	
	$.datepicker.setDefaults($.datepicker.regional['it']);
	$('#txtDate').datepicker();
        
});

(function( factory ) {
if ( typeof define === "function" && define.amd ) {
// AMD. Register as an anonymous module.
define([ "../datepicker" ], factory );
} else {
// Browser globals
factory( jQuery.datepicker );
}
}(function( datepicker ) {
datepicker.regional['it'] = {
closeText: 'Chiudi',
prevText: '&#x3C;Prec',
nextText: 'Succ&#x3E;',
currentText: 'Oggi',
monthNames: ['Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno',
'Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre'],
monthNamesShort: ['Gen','Feb','Mar','Apr','Mag','Giu',
'Lug','Ago','Set','Ott','Nov','Dic'],
dayNames: ['Domenica','Lunedì','Martedì','Mercoledì','Giovedì','Venerdì','Sabato'],
dayNamesShort: ['Dom','Lun','Mar','Mer','Gio','Ven','Sab'],
dayNamesMin: ['Do','Lu','Ma','Me','Gi','Ve','Sa'],
weekHeader: 'Sm',
dateFormat: 'dd/mm/yy',
firstDay: 1,
isRTL: false,
showMonthAfterYear: false,
yearSuffix: ''};
datepicker.setDefaults(datepicker.regional['it']);
return datepicker.regional['it'];
}));

// Function to get List products which are ordered
function get_order_products(str){
	var base_url=$("#base_url").val();
	$.ajax({
				url: base_url+'modules/melscrivimodule/ajax-call.php',
				type: 'post',
				data: 'project_id='+str+'&type=get_products_order',
				success: function(data) {
					
					$(".order_products").html(data);
					$('#example3').DataTable();
					$("#myModal").css("display","block");
				}
			});
	return false;
}

function get_order_products_review(str){
    var base_url=$("#base_url").val();
    $.ajax({
        url: base_url+'modules/melscrivimodule/ajax-call.php',
        type: 'post',
        data: 'product_ids='+str+'&type=get_products_order_review',
        success: function(data) {
            $(".review_order_products").html(data);
            $('#example4').DataTable();
            $("#myModalReview").css("display","block");
        }
    });
    return false;
}

function get_order_info(str){
	var base_url=$("#base_url").val();
	$.ajax({
		url:base_url+'modules/melscrivimodule/ajax-call.php',
		type:'post',
		data:'order_id='+str+'&type=get_order_info',
		success: function(data) {
			$(".order_info").html(data);
			$("#myModalOrder").css("display","block");
		}
	});
}

function selected_all(ch) {
	var oTable = $('#example1').dataTable();
	var nNodes = oTable.fnGetNodes();
	$chkbox = $('.product_id', nNodes);
	if ($chkbox.attr("checked") == "checked") {
		$('.product_id').parent().removeClass("checked");
		$('.product_id').prop("checked", false);
		$chkbox.removeAttr("checked");
	}else{
		$('.product_id').parent().addClass("checked");
		$('.product_id').prop("checked", true);
		$chkbox.attr("checked", "checked");
	}
}

function create_copy_project(){
	$(".menus-tabs-bar li").removeClass('active');
	$(".tab-pane").removeClass('active');
	$(".pro-lst").addClass('active');
	$("#pro-lst").addClass('active in');
	createproject('Copy');
}

function create_translation_project(){
	$(".menus-tabs-bar li").removeClass('active');
	$(".tab-pane").removeClass('active');
	$(".pro-lst").addClass('active');
	$("#pro-lst").addClass('active in');
	createproject('Translation');
}

function createproject(str){
	$("#create-project").show(500);
	$(".close_box_create").show(500);
	type_guidelines(str);
	if(str=='Copy'){
		$("#project_type").prop("selectedIndex", 1);
	}else if(str=='Translation'){
		$("#project_type").prop("selectedIndex", 2);
	}else{
		$("#project_type").prop("selectedIndex", 0);
	}
}

function moveToHome(){
	$(".menus-tabs-bar li").removeClass('active');
	$(".tab-pane").removeClass('active');
	$(".Account").addClass('active');
	$(".form-container").css({'background':'inherit','background-color':'#fff','height':'auto'});
	$("#home").addClass('active in');
}
