{*
* Melscrivi Module
* 
*  @author    Webgarh <sudhir@cwebconsultants.com>
*  @copyright Webgarh
*  @license   http://cwebconsultants.com
*}


<div class="container form-container">	
	<div class="login-form-data">
		<ul class="nav nav-tabs menus-tabs-bar">
			<li class="Account {if $tab eq 'account'}active{/if}"><a data-toggle="tab" href="#home">Home</a></li>
			<li class="pro-lst {if $tab eq 'createproject' || $tab eq 'listproducts' || $tab eq 'reviewquote' || $tab eq 'payment_success'}active{/if}"><a data-toggle="tab" href="#pro-lst">Progetti</a></li>
			<li class="import-xml {if $tab eq 'importxmlfile'}active{/if}"><a href="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}&tab=importxmlfile">Importa file Xml</a></li>
			{if $userID !=''}
			<li class="logout_module">
				<form action="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}" name="logout_form" method="post" id="logout_form">
					<input type="submit" name="logout" value="Disconnettersi">
				</form>
			</li>
			{/if}
		</ul>
		
        <div class="tab-content data-tab">
            <div id="main_page_tab" class="tab-pane fade {if $tab eq ''}in active{/if}">
                <div class="container">
                    <div class="row">
                        <div class="welcome_text">
                            <div class="home_text">
                                <h2>Benvenuti nel modulo di Melascrivi.com per Prestashop.
                                <br>I nostri Autori e Traduttori professionali
                                sono pronti a migliorare o tradurre le vostre schede prodotto .
                                <br>Create un account Melascrivi senza uscire da Prestashop e iniziate subito .</h2>
                            </div>
                            <a href="javascript:void(0)" onclick="moveToHome()" class="home_button_login">Create Account / Login</a>
                        </div>
					</div>
				</div>
			</div>
			<div id="home" class="tab-pane fade {if $tab eq 'account'}in active{/if}">
				<div class="container">
					<div class="row">
						{if $userID !=''}
                            <div class="account_main_div">
                                <a href="javascript:void(0);" onclick="create_translation_project()">Traduci i tuoi Prodotti</a><br/>
                                <a href="javascript:void(0);" class="new_copy_link" onclick="create_copy_project()">Riscrivi le descrizioni dei prodotti</a>
                            </div>
                            <div class="outer_main_bal">
                                <div class="inner_main_bal">
                                    <h2>Saldo Conto</h2>
                                    <ul class="main_bal">
                                        <li class="cbal"><strong>€</strong> {$available_balance}</li>
                                    </ul>
                                </div>
                            </div>
						{else}
							<div class="vl">
								<span class="vl-innertext">or</span>
							</div>
							<div class="col login-sec">
								{$logout_success}
								{$project_error}
								<h2 style="text-align:left">Accedi al servizio</h2>
								<!-- Login Form -->
								{$confirm_registration_msg}
								{$usernotfound}
								<form class="login-form" action="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}" method="post" enctype="multipart/form-data">
									<input type="text" id="login_email" name="email" placeholder="Email" autocomplete="off">
									<div class="login_email_error"></div>
									<input type="password" id="login_password" name="password" placeholder="******" autocomplete="off">
									<div class="login_password_error"></div>
									<input type="submit" name="login" id="login_button" value="Accesso">
								</form>
							</div>
							<div class="col register-sec">
								<h2 style="text-align:left">Iscriviti a Melascrivi</h2>
								<!-- Registration Form -->
								{$custom_msg}
								{$already_registered}
								<form id="melscrivimodule_form" class="registration" action="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}" method="post" enctype="multipart/form-data">
									<input type="text" id="email_reg" name="email" placeholder="Email">
									<div class="email_error"></div>
									<input type="password" id="password" name="password" placeholder="Password" placeholder="**********">
									<div class="password_error"></div>
									<input type="password" id="c_password" name="confirm_password" placeholder="Conferma Password">
									<div class="c_password_error"></div>
									<div class="confirm_pass_error"></div>	
									<select name="vertical" id="vertical">
										<option value="">--Trova i prodotti--</option>
										<option value="e-commerce">e-commerce</option>
									</select>
									<input type="submit" name="signup" id="signup" value="Registrati">
								</form>	
							</div>

							<div class="address-sec">
								<div class="col login-sec">
									<h2 style="text-align:left">Inserisci que la tua chiave di attivazione</h2>
									<!-- Activation Key Form -->
									{$wrong_activation_key}
									{$user_activated}
									{$user_already_activated}
									<form name="check_activation" action="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}" method="post" enctype="multipart/form-data">
										<input type="text" name="activation_key" placeholder="chiave di attivazione">
										<input type="submit" name="activation" value="Attivare ora">
									</form>	
								</div>	
							</div>
						{/if}
					</div>
				</div>
			</div>
			
			
			
			<div id="pro-lst" class="tab-pane fade {if $tab eq 'createproject'}in active{/if}">
				{if $userID !=''}
				<input type="hidden" id="user" value="{$userID}">
					{if empty($userprojects)}
						<li class="Createe-project"><a href="javascript:void(0)" onclick="createproject()">Crea Nuovo Progetto</a></li>
						<div class="create-sec">
							<div class="outer_div">
								<a href="#" class="close_box_create" style="display:none;"></a>
								<div id="create-project" style="display:none;">
								<h2>Crea Nuovo Progetto</h2>
								<form id="melscrivimodule_form" name="createProject" class="defaultForm form-horizontal createproject" action="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}" method="post" enctype="multipart/form-data" novalidate="">
									<input type="text" name="project_name" placeholder="Nome Progetto">
									<select name="project_type" class="projectType" id="project_type" onchange="type_guidelines(this.value);">
										<option value="">--Selezionate il tipo di contenuto--</option>
										<option value="Copy">Copy</option>
										<option value="Translation">Traduzione</option>
									</select>
									<div class="guideline"></div>
									<div class="block_common_info" style="display:none;">
										<select name="c_style" id="c_style">
											<option value="">-- Seleziona Stile --</option>
											{foreach $styles as $key=>$list}
												<option value="{$key}">{$list}</option>
											{/foreach}
										</select>
										<select name="c_category" id="c_category">
											<option value="">-- Seleziona Categoria --</option>
											{foreach $categories as $key=>$list}
												<option value="{$key}">{$list}</option>
											{/foreach}
										</select>
										<textarea name="c_brief_note" placeholder="Inserite la Linea guida che l'autore dovrà seguire per sviluppare o riscrivere la Descrizione del prodotto. Cercate di esse più precisi, specificando ogni dettaglio che vorret ricevere. Se possibile inserite anche una Descrizione prodotto realizzata al meglio come esempio." rows="4" style="resize:auto;"></textarea>
									</div>
									<div class="block_info block2_info" style="display:none;">
										<p>Description: Il tipo di contenuto scelto verrà realizzato secondo le specifiche di seguito riportate:</p>
										<table class="info_trans single">
											<tr>
												<th>Opzioni</th>
												<th>N. di Parole</th>
											</tr>
											<tr>
												<td>Descrizione Breve</td>
												<td>80</td>
											</tr>	
										</table>
									</div>
									<div class="block_info block1_info" style="display:none;">
										<p>Description: Il tipo di contenuto scelto verrà realizzato secondo le specifiche di seguito riportate:</p>
										<table class="info_trans">
											<tr>
												<th>Opzioni</th>
												<th>N. di Parole</th>
											</tr>
											<tr>
												<td>Descrizione Breve</td>
												<td>80</td>
											</tr>
											<tr>
												<td>Descrizione Estesa</td>
												<td>120</td>
											</tr>	
										</table>
									</div>
									<div class="translation_common_info" style="display:none;">
										<select name="t_language_from" id="t_language_from">
											<option value="">-- Lingua di partenza --</option>
											{foreach $langs_list as $value}
												<option value="{$value['iso_code']}">{$value['name']}</option>
											{/foreach}
										</select>
										<select name="t_language_to" id="t_language_to">
											<option value="">-- Lingua di destinazione --</option>
											{foreach $langs_list as $value}
												<option value="{$value['iso_code']}">{$value['name']}</option>
											{/foreach}
										</select>
                                        <input id="txtDate" type="text" name="t_delivery_date" id="t_delivery_date" placeholder="Data di Consegna richiesta (gg/mm/aaaa)"/>
										<textarea name="t_brief_note" id="t_brief_note" placeholder="Inserite la Linea guida che l'autore dovrà seguire per sviluppare o riscrivere la Descrizione del prodotto. Cercate di esse più precisi, specificando ogni dettaglio che vorret ricevere. Se possibile inserite anche una Descrizione prodotto realizzata al meglio come esempio" rows="4" style="resize:auto;"></textarea>
									</div>
									<div class="submit-btn">
										<input type="submit" name="createproject" value="Invia">
									</div>	 
								</form>
							</div>
							</div>	
						</div>
					{else}
						<li class="Createe-project"><a href="javascript:void(0)" onclick="createproject()">Crea Nuovo Progetto</a></li>
						<li class="import-project"><a href="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}&tab=importxmlfile">Importa file Xml</a></li>
						<div class="create-sec">
							<div class="outer_div">
								<a href="#" class="close_box_create" style="display:none;"></a>
								<div id="create-project" style="display:none;">
								<h2>Crea Nuovo Progetto</h2>
								<form id="melscrivimodule_form" name="createProject" class="defaultForm form-horizontal createproject" action="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}" method="post" enctype="multipart/form-data" novalidate="">
									<input type="text" name="project_name" placeholder="Nome Progetto">
									<select name="project_type" class="projectType" id="project_type" onchange="type_guidelines(this.value);">
										<option value="">--Selezionate il tipo di contenuto--</option>
										<option value="Copy">Copy</option>
										<option value="Translation">Traduzione</option>
									</select>
									<div class="guideline"></div>
									<div class="block_common_info" style="display:none;">
										<select name="c_style" id="c_style">
											<option value="">-- Seleziona Stile --</option>
											{foreach $styles as $key=>$list}
												<option value="{$key}">{$list}</option>
											{/foreach}
										</select>
										<select name="c_category" id="c_category">
											<option value="">-- Seleziona Categoria --</option>
											{foreach $categories as $key=>$list}
												<option value="{$key}">{$list}</option>
											{/foreach}
										</select>
										<textarea name="c_brief_note" placeholder="Inserite la Linea guida che l'autore dovrà seguire per sviluppare o riscrivere la Descrizione del prodotto. Cercate di esse più precisi, specificando ogni dettaglio che vorret ricevere. Se possibile inserite anche una Descrizione prodotto realizzata al meglio come esempio." rows="4" style="resize:auto;"></textarea>
									</div>
									<div class="block_info block2_info" style="display:none;">
										<p>Description: Il tipo di contenuto scelto verrà realizzato secondo le specifiche di seguito riportate:</p>
										<table class="info_trans single">
											<tr>
												<th>Opzioni</th>
												<th>N. di Parole</th>
											</tr>
											<tr>
												<td>Descrizione Breve</td>
												<td>80</td>
											</tr>	
										</table>
									</div>
									<div class="block_info block1_info" style="display:none;">
										<p>Description: Il tipo di contenuto scelto verrà realizzato secondo le specifiche di seguito riportate:</p>
										<table class="info_trans">
											<tr>
												<th>Opzioni</th>
												<th>N. di Parole</th>
											</tr>
											<tr>
												<td>Descrizione Breve</td>
												<td>80</td>
											</tr>
											<tr>
												<td>Descrizione Estesa</td>
												<td>120</td>
											</tr>
										</table>
									</div>
									<div class="translation_common_info" style="display:none;">
										<select name="t_language_from" id="t_language_from">
											<option value="">-- Lingua di partenza --</option>
											{foreach $langs_list as $value}
												<option value="{$value['iso_code']}">{$value['name']}</option>
											{/foreach}
										</select>
										<select name="t_language_to" id="t_language_to">
											<option value="">-- Lingua di destinazione --</option>
											{foreach $langs_list as $value}
												<option value="{$value['iso_code']}">{$value['name']}</option>
											{/foreach}
										</select>
										<input id="txtDate" type="text" name="t_delivery_date" id="t_delivery_date" placeholder="Data di Consegna richiesta (gg/mm/aaaa)"/>
										<textarea name="t_brief_note" id="t_brief_note" rows="4" placeholder="Inserite la Linea guida che l'autore dovrà seguire per sviluppare o riscrivere la Descrizione del prodotto. Cercate di esse più precisi, specificando ogni dettaglio che vorret ricevere. Se possibile inserite anche una Descrizione prodotto realizzata al meglio come esempio" style="resize:auto;"></textarea>
									</div>
									<div class="submit-btn">
										<input type="submit" name="createproject" value="Invia">
									</div>	 
								</form>
							</div>
							</div>	
						</div>
						
					{/if}
					{$project_created}
					{$project_creating_empty_values}
					{$project_error}
					{$balance_error}
					<input type="hidden" id="base_url" value="{$base_url}">
					{if empty($userprojects)}

					{else}
						<div class="delete_project"></div>
                        <div class="list_pro_head"><h2>ELENCO PROGETTI</h2></div>
						<table class="table table-striped table-bordered" style="width:100%">
							<thead>
								<tr>
									<th width="15%">Nome Progetto</th>
									<th width="10%">Tipo di contenuto</th>
									<th width="10%">Linea Guida</th>
									<th width="10%">Stile</th>
									<th width="10%">Data di Consegna</th>
									<th width="45%" style="border-right:none;">Azioni</th>
								</tr>
							</thead>
							<tbody>
								{foreach $userprojects as $key=>$project}
									<tr>
										<td>{$project['project_name']}</td>
										<td>{if $project['project_type']=='Copy'}
                                                {'Copy'}
                                            {else}
                                                {'Traduzione'}
                                            {/if}
                                        </td>
										<td>{$project['c_guideline']}</td>
										{assign var="style_id" value=$project['c_style']}
										{if is_numeric($style_id)}
											<td>{$styles[$style_id]}</td>
										{else}
											<td>{$style_id}</td>
										{/if}
										{if $project['payment_status'] eq '1'}
											{assign var="date" value= $project['date_add']|@strtotime + (60*60*24*$project['quote_details'])}
											{assign var="date2" value=$date|date_format:"%Y-%m-%d"}
										{/if}
										<td>{if $project['payment_status'] eq '1'}{$date2}{else }{'-'}{/if}</td>
										<td>{if ($project['payment_status'] eq '0' || $project['payment_status'] eq '') && ($project['order_sent_to_api'] eq '0' || $project['order_sent_to_api'] eq '')}
												<a class="choose_project_products" href="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}&tab=listproducts&project={$project['project_id']}">Scegli prodotti</a>
											{else}
												<ul class="order_statuses">
													<li class="payment_complete">Pagamento completato</li>
													<li>
														<a class="list_order_products" href="javascript:void(0);" onclick="get_order_products({$project['project_id']})">
															<span>Elenco Prodotti</span>
														</a>
													</li>
													{if $project['order_sent_to_api'] eq '0' || $project['order_sent_to_api'] eq ''}
														<li>
															<div class="create_order_project_list">
																<form name="direct_create_order" action="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}" method="post">
																	<input type="hidden" name="order_id" value="{$project['project_order_id']}">
																	<input type="hidden" name="project_id" value="{$project['project_id']}">
																	<input type="submit" name="direct_create_order" class="create_order_button1" value="Crea Ordine">
																</form>
															</div>
														</li>
														<li>
															<a class="info_trans" href="javascript:void(0);" onclick="get_order_info({$project['project_order_id']})">Dettagli Ordine</a>
														</li>
													{else}
														
													{/if}
												
											{/if}
											{if $project['review_product_ids'] neq ''}
                                                 <li>
                                                     <a class="list_order_products_review" href="javascript:void(0);" onclick="get_order_products_review('{$project['review_product_ids']}')">
                                                         <span>Elenco prodotti di revisione</span>
                                                     </a>
                                                 </li>
											{/if}
											{if $project['order_delivered'] eq '1'}
                                                 <li class="payment_complete">Consegnato</li>
											{/if}
                                             </ul>
										</td>
									</tr>	
								{/foreach}
							</tbody>
						</table>																								
					{/if}
				{else}
					<div class="msg_login">Per favore fai prima il log in</div>
				{/if}
			</div>
			<div id="list-prj" class="tab-pane fade {if $tab eq 'listproducts'}in active{/if}">
				{if $userID !=''}
					<div class="back_button">
						<a class="back_to_guidelines" href="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}&tab=createproject"><i class="fa fa-arrow-left" aria-hidden="true"></i>Torna indietro</a>
					</div>	
					{$project_created}
					{$empty_error}
					{$empty_error_products}
					<form action="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}" method="post" name="get_quote">
					<select name="project_list" class="project_id_product">
						<option value="">-- Select Project Guideline --</option>
						{foreach $userprojects as $key=>$project}
							{if $project['payment_status'] eq '0' || $project['payment_status'] eq ''}
								<option value="{$project['project_id']}" {if $project_for_product eq $project['project_id']}selected{/if}>{$project['project_name']}</option>
							{/if}
						{/foreach}
					</select>
					<div class="category_selection">
						<div class="inner-category-sec">
							<div class="select-ctgy">
                                <p>Indica in quali categorie del tuo sito sono presenti i prodotti che vuoi utilizzare:</p>
								<select multiple id="e1" name="category[]" style="width:185px">
									{foreach $categories_shop as $list}
										<option value="{$list['id_category']}">{$list['name']}</option>
									{/foreach}
								</select>
							</div>
							<div class="ctgy-cnt">
								<input type="checkbox" id="checkbox" >Seleziona tutti
								<input type="button" id="button_get_products" value="Seleziona la categoria">
							</div>
						</div>
					</div>
					<div id="products_list">
						<table id="example1" class="display select" cellspacing="0" width="100%">
							<thead>
								<tr>
									<th><input type="checkbox" name="select_all" value="1" id="example-select-all" style="width:20px;"></th>
									<th>Nome Prodoto</th>
									<th>Descrizione Prodotto</th>
								</tr>
							</thead>
							<tbody>
								{foreach $products as $key=>$product}
									<tr>
										<td><input type="checkbox" class="product_id" value="{$product['id_product']}" name="id[]"></td>
										<td style="color:#000;">{$product['name']}</td>
										<td style="color:#000;">{$product['description']}</td>
									</tr>	
								{/foreach}
							</tbody>
						</table>
					</div>
					<div class='review_button'>	
						<div class="inner_quote_button">
						<input type="submit" class="test" name="get_quote" value="Ottieni Preventivo">
						</div>
					</div>	
					</form>	
				{else}
					<div class="msg_login">Per favore fai prima il log in</div>
				{/if}
			</div>
			<div id="review-quote" class="tab-pane fade {if $tab eq 'reviewquote'}in active{/if}">
				{if $userID !=''}
					<div class="back_button">
						<a class="back_to_guidelines" href="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}&tab=listproducts">Torna indietro</a>
					</div>	
					<div class="main-order-review">
						<div class="quote_info order_review">
                            <div class="quote_head"><h2>Dettaglio preventivo</h2></div>
							<table border="1">
								<tr>
									<td class="quote_field">
										Numero di Descrizioni prodotto
									</td>
									<td>
										{$quote_info['total_products']}
									</td>	
								</tr>
								<tr>
									<td class="quote_field">
										Servizio richiesto	
									</td>
									<td>
										{if $quote_info['project_type']=='Translation'}
                                            {'Descrizione della traduzione'}
                                        {else}
                                            {'Scrittura Descrizioni'}
                                        {/if}
										{if $quote_info['project_type']=='Translation'}
									-		<ul>
												<li>Tradotto da: {$quote_info['t_language_from']}</li>
												<li>Traduci in: {$quote_info['t_language_to']}</li>
												<li>Scadenza: {$quote_info['t_delivery_date']}</li>
												<li>Linea guida: {$quote_info['t_brief_note']}</li>
											</ul>	
										{else}
											<ul>
												<li>Stile: {if is_numeric($quote_info['c_style'])}
																{$styles[$quote_info['c_style']]}
															{else}
																{$quote_info['c_style']}
															{/if}</li>
												<li>Categoria: {if $quote_info['c_category']|array_key_exists:$categories}
													{assign var="catkey" value=$quote_info['c_category']}
														{$categories[$catkey]}
													{/if}
												</li>
												<li>Linea guida: {$quote_info['c_brief_note']}</li>
												</ul>
										{/if}
									</td>	
								</tr>
								<tr>
									<td class="quote_field">
										Numero di parole
									</td>
									<td>
										{$words}
									</td>	
								</tr>
								<tr>
									<td class="quote_field">
										Costo totale
									</td>
									<td>
										<strong>€</strong> {$quote_info['quote_price']}
									</td>	
								</tr>
								<tr>
									<td class="quote_field">
										Tempo stimato per la consegna
									</td>
									<td>
										{$quote_info['quote_details']}
									</td>	
								</tr>	
							</table>	
						</div>	
					</div>
					{if $available_balance lt $quote_info['quote_price']}
						{assign var=bal_amt_paid value=$quote_info['quote_price']-$available_balance}
						<div class="paypal_form">
							<form action="https://www.sandbox.paypal.com/cgi-bin/webscr" method="post">
								<input type="hidden" name="cmd" value="_xclick">
								<input type="hidden" name="business" value="rina-facilitator@cwebconsultants.com">
								<input type="hidden" name="return" value="{$admin_url}/{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}&tab=payment_success&order={$quote_info['project_order_id']}&project={$quote_info['project_id']}">	
								<input type="hidden" name="amount" value="{$bal_amt_paid}">
								<input type="hidden" name="currency_code" value="EUR">
								<input type="hidden" name="custom" value="{$apiUserID}*app.melascrivi.com*0">
								<input type="hidden" name="email" value="{$user_info['email_address']}">
								<input type="image" name="submit"
									src="{$base_url}modules/melscrivimodule/views/img/icon.png"
									alt="PayPal - The safer, easier way to pay online">
							</form>
						</div>
					{else}
						<div class="create_order">
							<form name="direct_create_order" action="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}" method="post">
								<input type="hidden" name="order_id" value="{$quote_info['project_order_id']}">
								<input type="hidden" name="project_id" value="{$quote_info['project_id']}">
								<input type="submit" name="direct_create_order" class="create_order_button" value="Crea Ordine">
							</form>	
						</div>	
					{/if}
				{else}
					<div class="msg_login">Per favore fai prima il log in</div>
				{/if}
			</div>
			<div id="payment-success" class="tab-pane fade {if $tab eq 'payment_success'}in active{/if}">
				{if $userID !=''}
					<a class="back_to_guidelines" href="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}&tab=listproducts">Vai a lista progetti</a>
				<div class="main-order-review">
					<div class="payment_info order_review">
						{if $quote_info['payment_transaction_id'] gt '0'}
							<table border="1">
								<tr>
									<td>
										ID transazione
									</td>
									<td>
										{$quote_info['payment_transaction_id']}
									</td>	
								</tr>
								<tr>
									<td>
										Stato del pagamento
									</td>
									<td>
										{if $quote_info['payment_status'] eq '1'}Completed{/if}
									</td>
								</tr>
								<tr>
									<td>
										Importo totale pagato
									</td>
									<td>
										<strong>€</strong> {$quote_info['quote_price']}
									</td>	
								</tr>
							</table>
							{if $quote_info['order_sent_to_api'] gt '0' && $quote_info['order_sent_to_api'] neq ''}
								<p class="success">Grazie per il tuo pagamento. Il tuo ordine è stato creato con successo.</p>
							{else}
								<p class="success">Grazie per il tuo pagamento. <span class="error_msg_create_order">
Il tuo ordine non è stato creato correttamente. C'è qualche problema Si prega di contattare l'amministratore.</span></p>
							{/if}
						{else}
							<p class="success">Il tuo ordine è stato creato con successo.</p>
						{/if}
					</div>
				</div>
				{else}
					<div class="msg_login">Per favore fai prima il log in</div>
				{/if}
			</div>
			<div id="import-xml" class="tab-pane fade {if $tab eq 'importxmlfile'}in active{/if}">
		{if $userID !=''}
			<div class="back_button">
				<a class="back_to_guidelines" href="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}&tab=createproject"><i class="fa fa-arrow-left" aria-hidden="true"></i>Torna indietro</a>
			</div>	
			<form action="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}" method="post" enctype="multipart/form-data" name="import_xml">
				<div class="import_xml_file">
					<p><span class="import_head">Importa file Xml</span></p>
					<div class="import_form">
						<div class="file_import">
						<input type="file" name="xml_file" value="">
						</div>
						<div class="import_submit">
						<input type="submit" name="import_xml" value="Importa ora">
						</div>	
					</div>	
				</div>	
			</form>	
				{if $review_xml_order_data}
			<form name="xml_products" action="{$form_url|escape:'htmlall':'UTF-8'|replace:'&amp;':'&'}" method="post">
				{$project_error_xml}
                {$accept_products_success}
                {$product_for_review}
				{$accept_select_products}
                {$lang_error_xml}
				<table class="table table-striped table-bordered" style="width:100%">
					<p><span class="xml_pro">Elenco prodotti</span></p>
					<thead>
						<tr>
							<th><input type="checkbox" class="select_all_product_id" style="width:20px;"></th>
							<th>Titolo del prodotto</th>
							<th>Descrizione del prodotto</th>
                            <th>Commento</th>
						</tr>
					</thead>
					<tbody>
						<input type="hidden" name="xml_review_id" value="{$review_id}">
						<input type="hidden" name="total_products" value="{count($review_xml_order_data)}">
                        {if $count_xml_product gt 1}
							{foreach $review_xml_order_data as $key=> $value}
								{assign var="product" value=(array) $value}
								{if in_array($product['id'],$completed_ids) || in_array($product['id'],$rev_ids)}
							
								{else}
								<tr>
									<td><input type="checkbox" class="product_id_review" name="product_id[]" value="{$product['id']}" style="width:20px;"></td>
									<input type="hidden" name="mela_id_{$product['id']}" value="{$product['mela-id']}">
									<input type="hidden" name="dest_lang_{$product['id']}" value="{$product['destLanguage']}">
									<input type="hidden" name="product_title_{$product['id']}" value="{$product['title']}">
									<input type="hidden" name="product_desc_{$product['id']}" value="{$product['description']}">
									<td width="10%">{$product['title']}</td>
									<td width="50%">{$product['description']}</td>
									<td width="40%">
									<textarea name="review_note_{$product['id']}" placeholder="Inserisci il commento quando chiedi la revisione"></textarea>
									</td>
								</tr>
								{/if}
							{/foreach}
						{else}
                            {assign var="product" value=(array) $review_xml_order_data}
                            <tr>
									<td><input type="checkbox" class="product_id_review" name="product_id[]" value="{$product['id']}" style="width:20px;"></td>
									<input type="hidden" name="mela_id_{$product['id']}" value="{$product['mela-id']}">
									<input type="hidden" name="dest_lang_{$product['id']}" value="{$product['destLanguage']}">
									<input type="hidden" name="product_title_{$product['id']}" value="{$product['title']}">
									<input type="hidden" name="product_desc_{$product['id']}" value="{$product['description']}">
									<td width="10%">{$product['title']}</td>
									<td width="50%">{$product['description']}</td>
									<td width="40%">
									<textarea name="review_note_{$product['id']}" placeholder="I prodotti danno per la revisione con successo should be Prodotti inviati in revisione."></textarea>
									</td>
								</tr>
						{/if}
						
					</tbody>
				</table>
				<div class="two_buttons">
					<input type="submit" name="xml_products" class="create_order_button" value="Accettare">
					<input type="submit" name="xml_products" class="create_order_button" value="Chiedi una revisione">
				</div>	
			</form>	
				{/if}
		{else}
			<div class="msg_login">Per favore fai prima il log in</div>
		{/if}
	</div>
			
			
		</div>
	</div>
	
	<div id="myModal" class="modal">
		<!-- Modal content -->
		<div class="modal-content">
			<span class="close">&times;</span>
			<div class="order_products"></div>	
		</div>
	</div>
    <div id="myModalReview" class="modal">I prodotti danno per la revisione con successo should be Prodotti inviati in revisione.
        <!-- Modal content -->
        <div class="modal-content">
            <span class="close">&times;</span>
            <h2 class="review_pro" style="margin-top:0px;">Rivedi l'elenco dei prodotti dell'ordine</h2>
            <div class="review_order_products"></div>	
        </div>
    </div>
	<div id="myModalOrder" class="modal">
		<!-- Modal content -->
		<div class="modal-content">
			<span class="close">&times;</span>
			<h2 style="margin-top:0px;">Informazioni sull'ordine</h2>
			<div class="order_info"></div>	
		</div>
	</div>
</div>
