<?php
/**
 * Melscrivi Module
 *
 *  @author    Webgarh <sudhir@cwebconsultants.com>
 *  @copyright Webgarh
 *  @license   http://cwebconsultants.com
 */

include(dirname(__FILE__) . '/../../config/config.inc.php');

if (Tools::getValue('type')=='delete') {
    if (Tools::getValue('project_id')!='') {
        $res=Db::getInstance()->execute('DELETE FROM ' . _DB_PREFIX_ . 'project
        WHERE `project_id` = "'.Tools::getValue('project_id').'"');
        echo 'deleted';
    } else {
        echo 'Invalid Project Id';
    }
}

if (Tools::getValue('type')=='Copy') {
    $res=Db::getInstance()->ExecuteS('SELECT * FROM ' . _DB_PREFIX_ . 'project
    WHERE `project_user_id` = "'.Tools::getValue('user').'" AND `project_type`="Copy"');
    echo $no_of_projects=count($res);
}

if (Tools::getValue('type')=='Translation') {
    $res=Db::getInstance()->ExecuteS('SELECT * FROM ' . _DB_PREFIX_ . 'project
    WHERE `project_user_id` = "'.Tools::getValue('user').'" AND `project_type`="Translation"');
    echo $no_of_projects=count($res);
}

if (Tools::getValue('type')=='get_products') {
    $res=Db::getInstance()->ExecuteS('SELECT distinct `id_product` FROM '. _DB_PREFIX_ .'category_product
    WHERE  `id_category` IN ( '.Tools::getValue('category_ids').' )');
    $product_ids=array();
    foreach ($res as $list) {
        $product_ids[]=$list['id_product'];
    }
    $product_ids=implode(",", $product_ids);
    if (!empty($product_ids)) {
        $query = 'SELECT p.id_product, p.active, pl.name, GROUP_CONCAT(DISTINCT(cl.name) SEPARATOR ",") as categories, 
    p.price, p.id_tax_rules_group, p.wholesale_price, pl.description, 
    pl.description_short, pl.link_rewrite, p.condition,
  @id_image := ifnull(pai.id_image, pi.id_image) as id_image,
    concat("http://",
            ifnull(shop_domain.value, "domain"),
            "/img/p/",
            if(CHAR_LENGTH(@id_image) >= 5,
                concat(SUBSTRING(@id_image from - 5 FOR 1), "/"),
                ""),
            if(CHAR_LENGTH(@id_image) >= 4,
                concat(SUBSTRING(@id_image from - 4 FOR 1), "/"),
                ""),
            if(CHAR_LENGTH(@id_image) >= 3,
                concat(SUBSTRING(@id_image from - 3 FOR 1), "/"),
                ""),
            if(CHAR_LENGTH(@id_image) >= 2,
                concat(SUBSTRING(@id_image from - 2 FOR 1), "/"),
                ""),
            if(CHAR_LENGTH(@id_image) >= 1,
                concat(SUBSTRING(@id_image from - 1 FOR 1), "/"),
                ""),
            @id_image,
            ".jpg") as image_url
			
			FROM '. _DB_PREFIX_ .'product p
LEFT JOIN '. _DB_PREFIX_ .'product_lang pl ON (p.id_product = pl.id_product)
LEFT JOIN '. _DB_PREFIX_ .'category_product cp ON (p.id_product = cp.id_product)
LEFT JOIN '. _DB_PREFIX_ .'category_lang cl ON (cp.id_category = cl.id_category)
LEFT JOIN '. _DB_PREFIX_ .'category c ON (cp.id_category = c.id_category)
LEFT JOIN '. _DB_PREFIX_ .'product_tag pt ON (p.id_product = pt.id_product)
			LEFT JOIN
    '. _DB_PREFIX_ .'product_attribute pa ON (p.id_product = pa.id_product)
			    LEFT JOIN
    '. _DB_PREFIX_ .'product_attribute_image pai ON (pa.id_product_attribute = pai.id_product_attribute)
        LEFT JOIN
    '. _DB_PREFIX_ .'image pi ON p.id_product = pi.id_product
        LEFT JOIN
    '. _DB_PREFIX_ .'configuration shop_domain ON shop_domain.name = "PS_SHOP_DOMAIN"
	WHERE pl.id_lang = 1
	AND p.id_product IN ('.$product_ids.')
AND cl.id_lang = 1
GROUP BY p.id_product';
        $products = Db::getInstance()->ExecuteS($query);
        echo '<table id="example1" class="display select" cellspacing="0" width="100%">
							<thead>
								<tr>
									<th><input type="checkbox" name="select_all" value="1" class="chkall" 
                   id="example-select-all1" onclick="selected_all(this)" style="width:20px;"></th>
									<th>nome del prodotto</th>
									<th>Descrizione del prodotto</th>
								</tr>
							</thead>
							<tbody>';
        foreach ($products as $product) {
                                   echo '<tr>
                                    <td><input type="checkbox" class="product_id" 
                                    value="'.$product['id_product'].'" name="id[]"></td>
                                    <td style="color:#000;">'.$product['name'].'</td>
                                    <td style="color:#000;">'.$product['description'].'</td>';
                                   echo '</tr>';
        }
                             echo '</tbody>
                     </table>';
    } else {
        echo '<table id="example1" class="display select" cellspacing="0" width="100%">
            <thead>
                <tr>
                    <th><input type="checkbox" name="select_all" value="1" 
                    class="chkall" id="example-select-all1" onclick="selected_all(this)" style="width:20px;"></th>
                    <th>nome del prodotto</th>
                    <th>Descrizione del prodotto</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td colspan="3">Prodotti non trovati</td>
                    <td></td>
                    <td></td>
                </tr>	
            </tbody>
        </table>';
    }
}
if (Tools::getValue('type')=='get_products_order') {
    $res=Db::getInstance()->ExecuteS('SELECT product_id FROM ' . _DB_PREFIX_ . 'project_products 
    WHERE `project_id` = "'.Tools::getValue('project_id').'"');
    $products_order=array();
    foreach ($res as $list) {
        $products_order[]=$list['product_id'];
    }
    $product_ids=implode(",", $products_order);
    $query = 'SELECT p.id_product, p.active, pl.name, pl.description, pl.description_short 
    FROM '. _DB_PREFIX_ .'product p
LEFT JOIN '. _DB_PREFIX_ .'product_lang pl ON (p.id_product = pl.id_product)
	 LEFT JOIN
    '. _DB_PREFIX_ .'configuration shop_domain ON shop_domain.name = "PS_SHOP_DOMAIN"
	WHERE pl.id_lang = 1
	AND p.id_product IN ('.$product_ids.')
GROUP BY p.id_product';
    $products = Db::getInstance()->ExecuteS($query);
    echo '<table id="example3" class="display select" cellspacing="0" width="100%">
        <thead>
            <tr>
                <th>nome del prodotto</th>
                <th>Descrizione del prodotto</th>
            </tr>
        </thead>
        <tbody>';
    foreach ($products as $product) {
            echo '<tr>
                <td style="color:#000;">'.$product['name'].'</td>
                <td style="color:#000;">'.$product['description'].'</td>';
            echo '</tr>';
    }
        echo '</tbody>
    </table>';
}

if (Tools::getValue('type')=='get_products_order_review') {
    $product_ids=Tools::getValue('product_ids');
    $query = 'SELECT p.id_product, p.active, pl.name, pl.description, pl.description_short 
    FROM '. _DB_PREFIX_ .'product p
LEFT JOIN '. _DB_PREFIX_ .'product_lang pl ON (p.id_product = pl.id_product)
	 LEFT JOIN
    '. _DB_PREFIX_ .'configuration shop_domain ON shop_domain.name = "PS_SHOP_DOMAIN"
	WHERE pl.id_lang = 1
	AND p.id_product IN ('.$product_ids.')
GROUP BY p.id_product';
    $products = Db::getInstance()->ExecuteS($query);
    echo '<table id="example4" class="display select" cellspacing="0" width="100%">
        <thead>
            <tr>
                <th>nome del prodotto</th>
                <th>Descrizione del prodotto</th>
            </tr>
        </thead>
        <tbody>';
    foreach ($products as $product) {
            echo '<tr>
                <td style="color:#000;">'.$product['name'].'</td>
                <td style="color:#000;">'.$product['description'].'</td>';
            echo '</tr>';
    }
        echo '</tbody>
    </table>';
}

if (Tools::getValue('type')=='get_order_info') {
    $res=Db::getInstance()->ExecuteS('SELECT * FROM ' . _DB_PREFIX_ . 'project_order 
    WHERE `project_order_id` = "'.Tools::getValue('order_id').'"');
    echo '<p><strong>Transaction Id: </strong>'.$res[0]['payment_transaction_id'].'</p>
    <p><strong>Transaction Amount: $</strong>'.$res[0]['amount_paid'].'</p>
    <p><strong>Payment Method: </strong>'.$res[0]['payment_method'].'</p>
    <p><strong>Order Amount: $</strong>'.$res[0]['quote_price'].'</p>
    <p><strong>No of Products: </strong>'.$res[0]['total_products'].'</p>';
}
